stages:
  - test

variables:
  ALPINE_VER: "3.13"
  KUSTOMIZE_INSTALLER: "https://raw.githubusercontent.com/kubernetes-sigs/kustomize/master/hack/install_kustomize.sh"
  HELM_INSTALLER: https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3

render-manifests:
  stage: test
  image: alpine:$ALPINE_VER
  before_script:
    - apk add --no-cache git curl bash openssl
    - curl -fsSL -o get_helm.sh $HELM_INSTALLER
    - wget https://github.com/instrumenta/kubeval/releases/latest/download/kubeval-linux-amd64.tar.gz
    - tar xf kubeval-linux-amd64.tar.gz
    - cp kubeval /usr/local/bin
    - chmod 700 get_helm.sh
    - ./get_helm.sh
    - rm get_helm.sh
    - curl -s $KUSTOMIZE_INSTALLER | bash
    - mv kustomize /usr/local/bin/
  script:
    # kubeval needs to ignore crds for the time being, with --ignore-missing-schemas
    - kustomize build base --enable-helm > all.yml
    - kubeval --ignore-missing-schemas --filename="all.yml"
    - ls -la
    - ls -la base
  artifacts:
    paths:
      - all.yml
